|
||||||||||
| PREV NEXT | FRAMES NO FRAMES | |||||||||
| Package org.apache.struts |
|---|
| Class org.apache.struts.Globals extends Object implements Serializable |
|---|
| Package org.apache.struts.action |
|---|
| Class org.apache.struts.action.ActionErrors extends ActionMessages implements Serializable |
|---|
| Class org.apache.struts.action.ActionForm extends Object implements Serializable |
|---|
| Class org.apache.struts.action.ActionFormBean extends FormBeanConfig implements Serializable |
|---|
| Class org.apache.struts.action.ActionForward extends ForwardConfig implements Serializable |
|---|
| Class org.apache.struts.action.ActionMapping extends ActionConfig implements Serializable |
|---|
| Class org.apache.struts.action.ActionMessage extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String key
The message key for this message.
Object[] values
The replacement values for this mesasge.
boolean resource
Indicates whether the key is taken to be as a bundle key [true] or literal value [false].
| Class org.apache.struts.action.ActionMessages extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
boolean accessed
Have the messages been retrieved from this object?
The controller uses this property to determine if session-scoped messages can be removed.
HashMap<K,V> messages
The accumulated set of ActionMessage objects
(represented as an ArrayList) for each property, keyed by property
name.
int iCount
The current number of the property/key being added. This is used to maintain the order messages are added.
| Class org.apache.struts.action.ActionMessages.ActionMessageItem extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
List<E> list
The list of ActionMessages.
int iOrder
The position in the list of messages.
String property
The property associated with ActionMessage.
| Class org.apache.struts.action.ActionRedirect extends ActionForward implements Serializable |
|---|
| Serialized Fields |
|---|
Map<K,V> parameterValues
Holds the redirect parameters. Each entry is either a String or a String[] depending on whether it has one or more entries.
String anchorValue
Holds the anchor value.
| Class org.apache.struts.action.ActionServlet extends HttpServlet implements Serializable |
|---|
| Serialized Fields |
|---|
String config
Comma-separated list of context-relative path(s) to our configuration resource(s) for the default module.
String chainConfig
Comma-separated list of context or classloader-relative path(s) that contain the configuration for the default commons-chain catalog(s).
org.apache.commons.digester.Digester configDigester
The Digester used to produce ModuleConfig objects from a Struts configuration file.
boolean convertNull
The flag to request backwards-compatible conversions for form bean properties of the Java wrapper class types.
MessageResources internal
The resources object for our internal resources.
String internalName
The Java base name of our internal resources.
String[] registrations
The set of public identifiers, and corresponding resource names, for the versions of the configuration file DTDs that we know about. There MUST be an even number of Strings in this list!
String servletMapping
The URL pattern to which we are mapped in our web application deployment descriptor.
String servletName
The servlet name under which we are registered in our web application deployment descriptor.
| Class org.apache.struts.action.ActionServletWrapper extends Object implements Serializable |
|---|
| Class org.apache.struts.action.DynaActionForm extends ActionForm implements Serializable |
|---|
| Serialized Fields |
|---|
DynaActionFormClass dynaClass
The DynaActionFormClass with which we are associated.
HashMap<K,V> dynaValues
The set of property values for this DynaActionForm,
keyed by property name.
| Class org.apache.struts.action.DynaActionFormClass extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
FormBeanConfig config
The form bean configuration information for this class.
String name
The "dynamic class name" for this DynaClass.
DynaProperty[] properties
The set of dynamic properties that are part of this DynaClass.
HashMap<K,V> propertiesMap
The set of dynamic properties that are part of this
DynaClass, keyed by the property name. Individual
descriptor instances will be the same instances as those in the
properties list.
| Class org.apache.struts.action.ForwardingActionForward extends ActionForward implements Serializable |
|---|
| Class org.apache.struts.action.InvalidCancelException extends Exception implements Serializable |
|---|
| Class org.apache.struts.action.RedirectingActionForward extends ActionForward implements Serializable |
|---|
| Class org.apache.struts.action.RequestActionMapping extends ActionMapping implements Serializable |
|---|
| Class org.apache.struts.action.SessionActionMapping extends ActionMapping implements Serializable |
|---|
| Package org.apache.struts.apps.mailreader.dao |
|---|
| Class org.apache.struts.apps.mailreader.dao.ExpiredPasswordException extends Exception implements Serializable |
|---|
| Package org.apache.struts.chain.commands |
|---|
| Class org.apache.struts.chain.commands.InvalidPathException extends Exception implements Serializable |
|---|
| Serialized Fields |
|---|
String path
| Class org.apache.struts.chain.commands.UnauthorizedActionException extends Exception implements Serializable |
|---|
| Package org.apache.struts.config |
|---|
| Class org.apache.struts.config.ActionConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
HashMap<K,V> exceptions
The set of exception handling configurations for this action, if
any, keyed by the type property.
HashMap<K,V> forwards
The set of local forward configurations for this action, if any,
keyed by the name property.
ModuleConfig moduleConfig
The module configuration with which we are associated.
String attribute
The request-scope or session-scope attribute name under which our
form bean is accessed, if it is different from the form bean's
specified name.
String actionId
The internal identification of this action mapping. Identifications are not inheritable and must be unique within a module.
String inherit
The path of the ActionConfig that this object should inherit properties from.
boolean cancellableSet
boolean cancellable
Can this Action be cancelled? [false]
By default, when an Action is cancelled, validation is bypassed and the Action should not execute the business operation. If a request tries to cancel an Action when cancellable is not set, a "InvalidCancelException" is thrown.
boolean extensionProcessed
Have the inheritance values for this class been applied?
String forward
Context-relative path of the web application resource that will
process this request via RequestDispatcher.forward(), instead of
instantiating and calling the Action class specified by
"type". Exactly one of forward, include, or
type must be specified.
String include
Context-relative path of the web application resource that will
process this request via RequestDispatcher.include(), instead of
instantiating and calling the Action class specified by
"type". Exactly one of forward, include, or
type must be specified.
String input
Context-relative path of the input form to which control should be returned if a validation error is encountered. Required if "name" is specified and the input bean returns validation errors.
String multipartClass
Fully qualified Java class name of the MultipartRequestHandler
implementation class used to process multi-part request data for this
Action.
String name
Name of the form bean, if any, associated with this Action.
String parameter
General purpose configuration parameter that can be used to pass extra information to the Action instance selected by this Action. Struts does not itself use this value in any way.
String path
Context-relative path of the submitted request, starting with a slash ("/") character, and omitting any filename extension if extension mapping is being used.
String prefix
Prefix used to match request parameter names to form bean property names, if any.
String roles
Comma-delimited list of security role names allowed to request this Action.
String[] roleNames
The set of security role names used to authorize access to this Action, as an array for faster access.
String scope
Identifier of the scope ("request" or "session") within which our form bean is accessed, if any.
String suffix
Suffix used to match request parameter names to form bean property names, if any.
String type
Fully qualified Java class name of the Action class to
be used to process requests for this mapping if the
forward and include properties are not set.
Exactly one of forward, include, or
type must be specified.
boolean unknown
Indicates Action be configured as the default one for this module, when true.
boolean validateSet
boolean validate
Should the validate() method of the form bean
associated with this action be called?
String command
The name of a commons-chain command which should be
executed as part of the processing of this action.
String catalog
The name of a commons-chain catalog in which
command should be sought. If a command is
defined and this property is undefined, the "default" catalog will be
used. This is likely to be infrequently used after a future release of
commons-chain supports a one-string expression of a
catalog/chain combination.
| Class org.apache.struts.config.ActionConfigMatcher extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
List<E> compiledPaths
The compiled paths and their associated ActionConfig's
| Class org.apache.struts.config.BaseConfig extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
boolean configured
Properties properties
| Class org.apache.struts.config.ControllerConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
int bufferSize
The input buffer size for file uploads.
String contentType
The content type and character encoding to be set on each response.
String catalog
The chain catalog name for this module.
String command
The chain command to execute for each request.
String forwardPattern
The replacement pattern used to determine a context-relative URL
from a ForwardConfig element. The pattern may consist of any
combination of the following markers and characters:
$M - Replaced by the module prefix
for the current module.$P - Replaced by the
path property of a ForwardConfig instance.$$ - Renders a literal dollar sign
("$") character in the resulting URL.If this property is set to null, a default pattern of
$M$P is utilized, which is backwards compatible with the
hard coded functionality in prior versions.
boolean inputForward
Should the input property of ActionConfig
instances associated with this module be treated as the name of a
corresponding ForwardConfig. A false value treats
them as a module-relative path (consistent with the hard coded behavior
of earlier versions of Struts.
boolean locale
Should we store a Locale object in the user's session if needed?
String maxFileSize
The maximum file size to process for file uploads.
String memFileSize
The maximum file size to retain in memory.
String multipartClass
The fully qualified Java class name of the MultipartRequestHandler class to be used.
boolean nocache
Should we set no-cache HTTP headers on each response?
String pagePattern
The replacement pattern used to determine a context-relative URL
from the page attribute of Struts tags and configuration
properties. The pattern may consist of any combination of the
following markers and characters:
$M - Replaced by the module prefix
for the current module.$P - Replaced by the
page attribute value being evaluated.$$ - Renders a literal dollar sign
("$") character in the resulting URL.If this property is set to null, a default pattern of
$M$P is utilized, which is backwards compatible with the
hard coded functionality in prior versions.
String processorClass
The fully qualified class name of the RequestProcessor implementation class to be used for this module.
String tempDir
The temporary working directory to use for file uploads.
| Class org.apache.struts.config.ExceptionConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
String bundle
String inherit
boolean extensionProcessed
String handler
String key
String path
Action.
String scope
String type
| Class org.apache.struts.config.FormBeanConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
HashMap<K,V> formProperties
String lock
The lockable object we can synchronize on when creating DynaActionFormClass.
boolean dynamic
String inherit
boolean extensionProcessed
String name
ActionMapping instances as well as for the
name of the request or session attribute under which the corresponding
form bean instance is created or accessed.
String type
boolean restricted
| Class org.apache.struts.config.FormPropertyConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
String initial
String name
String reset
The conditions under which the property described by this element
should be reset to its initial value when the form's
reset method is called.
This may be set to true (to always reset the property) or a comma-separated list of HTTP request methods.
int size
The size of the array to be created if this property is an array
type and there is no specified initial value. This value
must be non-negative.
String type
[] to indicate that
the property is indexed.
| Class org.apache.struts.config.ForwardConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
String inherit
boolean extensionProcessed
String name
Action classes.
String path
The URL to which this ForwardConfig entry points, which
must start with a slash ("/") character. It is interpreted according
to the following rules:
contextRelative property is true, the
path is considered to be context-relative within the current web
application (even if we are in a named module). It will be prefixed by
the context path to create a server-relative URL.contextRelative property is false, the path is
considered to be the module-relative portion of the URL. It will be
used as the replacement for the $P marker in the
forwardPattern property defined on the ControllerConfig element for our current module. For the default
forwardPattern value of $C$M$P, the resulting
server-relative URL will be the concatenation of the context path, the
module prefix, and the path from this
ForwardConfig.
String module
The prefix of the module to which this ForwardConfig
entry points, which must start with a slash ("/") character.
Usage note: If a forward config is used in a hyperlink, and a module is specified, the path must lead to another action and not directly to a page. This is in keeping with rule that in a modular application all links must be to an action rather than a page.
boolean redirect
String command
The name of a commons-chain command which should be
looked up and executed before Struts dispatches control to the view
represented by this config.
String catalog
The name of a commons-chain catalog in which
command should be looked up. If this value is undefined,
then the command will be looked up in the "default" catalog. This
value has no meaning except in the context of the command
property.
| Class org.apache.struts.config.MessageResourcesConfig extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
String factory
String key
boolean nullValue
null for unknown message keys?
boolean escape
String parameter
createResources() method
of our MessageResourcesFactory implementation.
| Class org.apache.struts.config.PlugInConfig extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
boolean configured
Map<K,V> properties
Map of the name-value pairs that will be used to
configure the property values of a PlugIn instance.
String className
PlugIn
implementation class being configured.
| Package org.apache.struts.config.impl |
|---|
| Class org.apache.struts.config.impl.DefaultModuleConfigFactory extends ModuleConfigFactory implements Serializable |
|---|
| Class org.apache.struts.config.impl.ModuleConfigImpl extends BaseConfig implements Serializable |
|---|
| Serialized Fields |
|---|
HashMap<K,V> actionConfigs
The set of action configurations for this module, if any, keyed by
the path property.
HashMap<K,V> actionConfigIds
The set of action configuration for this module, if any, keyed by
the actionId property.
List<E> actionConfigList
The set of action configurations for this module, if any, listed in the order in which they are added.
HashMap<K,V> exceptions
The set of exception handling configurations for this module, if
any, keyed by the type property.
HashMap<K,V> formBeans
The set of form bean configurations for this module, if any, keyed
by the name property.
HashMap<K,V> forwards
The set of global forward configurations for this module, if any,
keyed by the name property.
HashMap<K,V> messageResources
The set of message resources configurations for this module, if any,
keyed by the key property.
ArrayList<E> plugIns
The set of configured plug-in Actions for this module, if any, in the order they were declared and configured.
ControllerConfig controllerConfig
The controller configuration object for this module.
String prefix
The prefix of the context-relative portion of the request URI, used to select this configuration versus others supported by the controller servlet. A configuration with a prefix of a zero-length String is the default configuration for this web module.
String actionFormBeanClass
The default class name to be used when creating action form bean instances.
String actionMappingClass
String actionForwardClass
ActionConfigMatcher matcher
Matches action config paths against compiled wildcard patterns
| Package org.apache.struts.faces.taglib |
|---|
| Class org.apache.struts.faces.taglib.JavascriptValidatorTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String bundle
String formName
int page
String methodName
String staticJavascript
String dynamicJavascript
String src
String htmlComment
String cdata
String htmlBeginComment
String htmlEndComment
String formClientId
| Class org.apache.struts.faces.taglib.LoadMessagesTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String messages
The name of the MessageResources to expose, or
null for the default MessageResources
for this application module.
String var
The request attribute key under which a Map
will be exposed.
| Package org.apache.struts.mock |
|---|
| Class org.apache.struts.mock.MockActionServlet extends ActionServlet implements Serializable |
|---|
| Serialized Fields |
|---|
ServletContext servletContext
ServletConfig servletConfig
| Class org.apache.struts.mock.MockFormBean extends ActionForm implements Serializable |
|---|
| Serialized Fields |
|---|
boolean throwException
boolean returnNulls
String defaultValue
Double defaultDouble
int arrayCount
boolean booleanProperty
String stringProperty
| Package org.apache.struts.taglib.bean |
|---|
| Class org.apache.struts.taglib.bean.CookieTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String multiple
multiple is non-null.
String name
String value
| Class org.apache.struts.taglib.bean.DefineTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String body
String id
String name
String property
String scope
String toScope
String type
String value
| Class org.apache.struts.taglib.bean.HeaderTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String multiple
multiple is non-null.
String name
String value
| Class org.apache.struts.taglib.bean.IncludeTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String anchor
String forward
ActionForward that contains a path
to our requested resource.
String href
String id
String page
boolean transaction
boolean useLocalEncoding
| Class org.apache.struts.taglib.bean.MessageTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String arg0
String arg1
String arg2
String arg3
String arg4
String bundle
String key
String name
String property
String scope
String localeKey
| Class org.apache.struts.taglib.bean.PageTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String property
| Class org.apache.struts.taglib.bean.ParameterTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String multiple
multiple is
non-null.
String name
String value
| Class org.apache.struts.taglib.bean.ResourceTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String input
String name
| Class org.apache.struts.taglib.bean.SizeTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
Object collection
String id
String name
String property
String scope
| Class org.apache.struts.taglib.bean.StrutsTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String formBean
ActionFormBean object to be exposed.
String forward
ActionForward object to be exposed.
String mapping
ActionMapping object to be exposed.
| Class org.apache.struts.taglib.bean.WriteTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
boolean filter
boolean ignore
String name
String property
String scope
String formatStr
String formatKey
String localeKey
String bundle
| Package org.apache.struts.taglib.html |
|---|
| Class org.apache.struts.taglib.html.BaseFieldTag extends BaseInputTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accept
file tag, but is implemented here because it affects the
rendered HTML of the corresponding <input> tag.
boolean redisplay
password).
String type
| Class org.apache.struts.taglib.html.BaseHandlerTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String accesskey
String tabindex
boolean indexed
String onclick
String ondblclick
String onmouseover
String onmouseout
String onmousemove
String onmousedown
String onmouseup
String onkeydown
String onkeyup
String onkeypress
String onselect
String onchange
String onblur
String onfocus
boolean disabled
boolean doDisabled
boolean readonly
boolean doReadonly
Indicates whether 'readonly' is a valid attribute.
According to the HTML 4.0 Specification <readonly> is valid
for <input type="text">, <input type="password"> and
<textarea"> elements. Therefore, except for those tags this value
is set to false.
String style
String styleClass
String styleId
String errorKey
String errorStyle
String errorStyleClass
String errorStyleId
String alt
String altKey
String bundle
String locale
String title
String lang
String dir
String titleKey
Class<T> loopTagClass
Method loopTagGetStatus
Class<T> loopTagStatusClass
Method loopTagStatusGetIndex
boolean triedJstlInit
boolean triedJstlSuccess
| Class org.apache.struts.taglib.html.BaseInputTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String autocomplete
String cols
String maxlength
String property
String rows
String value
null to retrieve the
corresponding property from our associated bean.
String name
| Class org.apache.struts.taglib.html.BaseTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String REF_SITE
String REF_PAGE
String server
String target
String ref
| Class org.apache.struts.taglib.html.ButtonTag extends SubmitTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.CancelTag extends SubmitTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.CheckboxTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String property
String text
String value
| Class org.apache.struts.taglib.html.ErrorsTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String bundle
String locale
String name
String property
null to return all errors.
String header
String footer
String prefix
String suffix
| Class org.apache.struts.taglib.html.FileTag extends BaseFieldTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.FormTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String action
String autocomplete
String postbackAction
ModuleConfig moduleConfig
String enctype
String focus
String focusIndex
ActionMapping mapping
String method
String onreset
String onsubmit
boolean scriptLanguage
ActionServlet servlet
servlet property on any form bean that we
create).
String style
String styleClass
String styleId
String target
String beanName
ActionMapping otherwise.
String beanScope
ActionMapping otherwise.
String beanType
ActionMapping otherwise.
String acceptCharset
boolean disabled
boolean readonly
String lang
String dir
| Class org.apache.struts.taglib.html.FrameTag extends LinkTag implements Serializable |
|---|
| Serialized Fields |
|---|
String frameborder
String frameName
name attribute that should be rendered for this
frame.
String longdesc
Integer marginheight
Integer marginwidth
boolean noresize
String scrolling
| Class org.apache.struts.taglib.html.HiddenTag extends BaseFieldTag implements Serializable |
|---|
| Serialized Fields |
|---|
boolean write
| Class org.apache.struts.taglib.html.HtmlTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
boolean xhtml
boolean lang
| Class org.apache.struts.taglib.html.ImageTag extends SubmitTag implements Serializable |
|---|
| Serialized Fields |
|---|
String align
String border
String page
String pageKey
String src
String srcKey
String module
| Class org.apache.struts.taglib.html.ImgTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String align
String border
String height
String hspace
String imageName
String ismap
String name
String page
String pageKey
page attribute for this generated tag, if any.
String action
String module
String paramId
String paramName
String paramProperty
String paramScope
String property
String scope
String src
String srcKey
src attribute for this generated tag, if any.
String usemap
String vspace
String width
boolean useLocalEncoding
| Class org.apache.struts.taglib.html.JavascriptValidatorTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String bundle
String formName
String jsFormName
int page
String methodName
boolean scriptLanguage
String staticJavascript
String dynamicJavascript
String src
String htmlComment
String cdata
| Class org.apache.struts.taglib.html.LinkTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String text
String anchor
String forward
The logical forward name from which to retrieve the hyperlink URI.
Usage note: If a forward config is used in a hyperlink, and a module is specified, the path must lead to another action and not directly to a page. This is in keeping with rule that in a modular application all links must be to an action rather than a page.
String href
String linkName
String name
String page
String action
String module
String paramId
String paramName
String paramProperty
String paramScope
String property
String scope
String target
boolean transaction
Map<K,V> parameters
String indexId
boolean useLocalEncoding
| Class org.apache.struts.taglib.html.MessagesTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
Iterator<E> iterator
boolean processed
String id
String bundle
String locale
String name
String property
null to return all errors.
String header
String footer
String message
Globals.MESSAGE_KEY
will be used to retrieve the messages from scope.
| Class org.apache.struts.taglib.html.MultiboxTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String constant
String name
String property
String value
| Class org.apache.struts.taglib.html.OptionsCollectionTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
boolean filter
String label
String name
String property
String style
String styleClass
String value
| Class org.apache.struts.taglib.html.OptionsTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String collection
property and labelProperty attributes).
boolean filter
String labelName
String labelProperty
String name
String property
String style
String styleClass
| Class org.apache.struts.taglib.html.OptionTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String text
String bundle
boolean disabled
boolean filter
String key
String locale
String style
String styleClass
String styleId
String lang
String dir
String value
| Class org.apache.struts.taglib.html.ParamTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String value
| Class org.apache.struts.taglib.html.PasswordTag extends BaseFieldTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.RadioTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String property
String text
String value
String idName
If an iterator is used to render a series of radio tags,
this field may be used to specify the name of the bean exposed by the
iterator. In this case, the value attribute is used as the name of a
property on the idName bean that returns the value of the
radio tag in this iteration.
| Class org.apache.struts.taglib.html.ResetTag extends SubmitTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.RewriteTag extends LinkTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.SelectTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String[] match
String multiple
String name
String property
String saveBody
String size
String value
| Class org.apache.struts.taglib.html.SubmitTag extends BaseHandlerTag implements Serializable |
|---|
| Serialized Fields |
|---|
String property
String text
String value
| Class org.apache.struts.taglib.html.TextareaTag extends BaseInputTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.TextTag extends BaseFieldTag implements Serializable |
|---|
| Class org.apache.struts.taglib.html.XhtmlTag extends TagSupport implements Serializable |
|---|
| Package org.apache.struts.taglib.logic |
|---|
| Class org.apache.struts.taglib.logic.CompareTagBase extends ConditionalTagBase implements Serializable |
|---|
| Serialized Fields |
|---|
String value
| Class org.apache.struts.taglib.logic.ConditionalTagBase extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String cookie
String header
String name
property is not specified), or whose property is to be
accessed (if property is specified).
String parameter
String property
String role
String scope
String user
| Class org.apache.struts.taglib.logic.EmptyTag extends ConditionalTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.EqualTag extends CompareTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.ForwardTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String name
ActionForward entry to be looked
up.
| Class org.apache.struts.taglib.logic.GreaterEqualTag extends CompareTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.GreaterThanTag extends CompareTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.IterateTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
Iterator<E> iterator
int lengthCount
int lengthValue
int offsetValue
boolean started
Object collection
String id
String indexId
String length
String name
String offset
String property
String scope
String type
| Class org.apache.struts.taglib.logic.LessEqualTag extends CompareTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.LessThanTag extends CompareTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.MatchTag extends ConditionalTagBase implements Serializable |
|---|
| Serialized Fields |
|---|
String location
start or
end), or null for anywhere.
String value
| Class org.apache.struts.taglib.logic.MessagesNotPresentTag extends MessagesPresentTag implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.MessagesPresentTag extends ConditionalTagBase implements Serializable |
|---|
| Serialized Fields |
|---|
String message
Globals.MESSAGE_KEY
will be used to retrieve the messages from scope.
| Class org.apache.struts.taglib.logic.NotEmptyTag extends EmptyTag implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.NotEqualTag extends CompareTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.NotMatchTag extends MatchTag implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.NotPresentTag extends PresentTag implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.PresentTag extends ConditionalTagBase implements Serializable |
|---|
| Class org.apache.struts.taglib.logic.RedirectTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String anchor
String forward
String href
String name
String page
String action
String module
String paramId
String paramName
String paramProperty
String paramScope
String property
String scope
boolean transaction
boolean useLocalEncoding
| Package org.apache.struts.taglib.nested |
|---|
| Class org.apache.struts.taglib.nested.NestedPropertyTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String property
String originalNest
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.NestedReference extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String beanName
String property
| Class org.apache.struts.taglib.nested.NestedRootTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String originalName
String originalNesting
String originalNestingName
| Class org.apache.struts.taglib.nested.NestedWriteNestingTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
boolean filter
String property
String id
String originalProperty
| Package org.apache.struts.taglib.nested.bean |
|---|
| Class org.apache.struts.taglib.nested.bean.NestedDefineTag extends DefineTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.bean.NestedMessageTag extends MessageTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.bean.NestedSizeTag extends SizeTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.bean.NestedWriteTag extends WriteTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Package org.apache.struts.taglib.nested.html |
|---|
| Class org.apache.struts.taglib.nested.html.NestedCheckboxTag extends CheckboxTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedErrorsTag extends ErrorsTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedFileTag extends FileTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedFormTag extends FormTag implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String originalNesting
String originalNestingName
| Class org.apache.struts.taglib.nested.html.NestedHiddenTag extends HiddenTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedImageTag extends ImageTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedImgTag extends ImgTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedLinkTag extends LinkTag implements Serializable |
|---|
| Serialized Fields |
|---|
String origName
String origProperty
String origParamProperty
| Class org.apache.struts.taglib.nested.html.NestedMessagesTag extends MessagesTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedMultiboxTag extends MultiboxTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedOptionsCollectionTag extends OptionsCollectionTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedOptionsTag extends OptionsTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
String originalLabelProperty
| Class org.apache.struts.taglib.nested.html.NestedPasswordTag extends PasswordTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedRadioTag extends RadioTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedSelectTag extends SelectTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedSubmitTag extends SubmitTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedTextareaTag extends TextareaTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.html.NestedTextTag extends TextTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Package org.apache.struts.taglib.nested.logic |
|---|
| Class org.apache.struts.taglib.nested.logic.NestedEmptyTag extends EmptyTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedEqualTag extends EqualTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedGreaterEqualTag extends GreaterEqualTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedGreaterThanTag extends GreaterThanTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedIterateTag extends IterateTag implements Serializable |
|---|
| Serialized Fields |
|---|
String nesting
String originalName
String originalProperty
String originalNesting
String originalNestingName
| Class org.apache.struts.taglib.nested.logic.NestedLessEqualTag extends LessEqualTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedLessThanTag extends LessThanTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedMatchTag extends MatchTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedMessagesNotPresentTag extends MessagesNotPresentTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedMessagesPresentTag extends MessagesPresentTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedNotEmptyTag extends NotEmptyTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedNotEqualTag extends NotEqualTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedNotMatchTag extends NotMatchTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedNotPresentTag extends NotPresentTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Class org.apache.struts.taglib.nested.logic.NestedPresentTag extends PresentTag implements Serializable |
|---|
| Serialized Fields |
|---|
String originalName
String originalProperty
| Package org.apache.struts.tiles |
|---|
| Class org.apache.struts.tiles.ComponentContext extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
Map<K,V> attributes
| Class org.apache.struts.tiles.ComponentDefinition extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String path
Map<K,V> attributes
String role
String controller
String controllerType
Controller controllerInstance
| Class org.apache.struts.tiles.DefinitionAttribute extends UntypedAttribute implements Serializable |
|---|
| Class org.apache.struts.tiles.DefinitionNameAttribute extends UntypedAttribute implements Serializable |
|---|
| Class org.apache.struts.tiles.DefinitionsFactoryConfig extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String factoryClassname
boolean parserValidate
String definitionConfigFiles
boolean moduleAware
String factoryName
Map<K,V> extraAttributes
| Class org.apache.struts.tiles.DefinitionsFactoryException extends TilesException implements Serializable |
|---|
| Serialized Fields |
|---|
Exception exception
| Class org.apache.struts.tiles.DirectStringAttribute extends UntypedAttribute implements Serializable |
|---|
| Class org.apache.struts.tiles.FactoryNotFoundException extends DefinitionsFactoryException implements Serializable |
|---|
| Class org.apache.struts.tiles.NoSuchDefinitionException extends DefinitionsFactoryException implements Serializable |
|---|
| Class org.apache.struts.tiles.PathAttribute extends UntypedAttribute implements Serializable |
|---|
| Class org.apache.struts.tiles.RedeployableActionServlet extends ActionServlet implements Serializable |
|---|
| Serialized Fields |
|---|
TilesRequestProcessor tileProcessor
| Class org.apache.struts.tiles.TilesException extends Exception implements Serializable |
|---|
| Serialized Fields |
|---|
Exception exception
| Class org.apache.struts.tiles.TilesUtilImpl extends Object implements Serializable |
|---|
| Class org.apache.struts.tiles.TilesUtilStrutsImpl extends TilesUtilImpl implements Serializable |
|---|
| Class org.apache.struts.tiles.TilesUtilStrutsModulesImpl extends TilesUtilStrutsImpl implements Serializable |
|---|
| Class org.apache.struts.tiles.UntypedAttribute extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String role
Object value
| Package org.apache.struts.tiles.beans |
|---|
| Class org.apache.struts.tiles.beans.SimpleMenuItem extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String value
String link
String icon
String tooltip
| Package org.apache.struts.tiles.definition |
|---|
| Class org.apache.struts.tiles.definition.ComponentDefinitionsFactoryWrapper extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
ComponentDefinitionsFactory factory
DefinitionsFactoryConfig config
| Class org.apache.struts.tiles.definition.ReloadableDefinitionsFactory extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
ComponentDefinitionsFactory factory
Map<K,V> properties
| Package org.apache.struts.tiles.taglib |
|---|
| Class org.apache.struts.tiles.taglib.AddTag extends PutTag implements Serializable |
|---|
| Class org.apache.struts.tiles.taglib.AttributeToScopeTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String scopeName
int scope
String property
| Class org.apache.struts.tiles.taglib.DefinitionTag extends DefinitionTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String id
String scope
String extendsDefinition
ComponentDefinition definition
| Class org.apache.struts.tiles.taglib.DefinitionTagSupport extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String controllerType
String controllerName
String role
String page
| Class org.apache.struts.tiles.taglib.GetAttributeTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String attribute
String role
boolean isErrorIgnored
false, which will throw an exception.
| Class org.apache.struts.tiles.taglib.GetTag extends InsertTag implements Serializable |
|---|
| Class org.apache.struts.tiles.taglib.ImportAttributeTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String name
String scopeName
int scope
boolean isErrorIgnored
ignore.
Default value is false, which throws an exception.
Only "attribute not found" - errors are ignored.
| Class org.apache.struts.tiles.taglib.InitDefinitionsTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String filename
String classname
| Class org.apache.struts.tiles.taglib.InsertTag extends DefinitionTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
boolean flush
String name
String attribute
String beanName
String beanProperty
String beanScope
boolean isErrorIgnored
String definitionName
boolean processEndTag
ComponentContext cachedCurrentContext
InsertTag.TagHandler tagHandler
PageContext pageContext
| Class org.apache.struts.tiles.taglib.PutListTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String attributeName
List<E> list
String role
| Class org.apache.struts.tiles.taglib.PutTag extends BodyTagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String attributeName
Object value
String direct
String valueType
String beanName
String beanProperty
String beanScope
String role
Object realValue
String body
| Class org.apache.struts.tiles.taglib.UseAttributeTag extends TagSupport implements Serializable |
|---|
| Serialized Fields |
|---|
String classname
String scopeName
int scope
String attributeName
boolean isErrorIgnored
false, which throws an exception.
Only "attribute not found" - errors are ignored.
| Package org.apache.struts.tiles.xmlDefinition |
|---|
| Class org.apache.struts.tiles.xmlDefinition.DefinitionsFactory extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
Map<K,V> definitions
| Class org.apache.struts.tiles.xmlDefinition.FactorySet extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
Map<K,V> factories
| Class org.apache.struts.tiles.xmlDefinition.I18nFactorySet extends FactorySet implements Serializable |
|---|
| Serialized Fields |
|---|
DefinitionsFactory defaultFactory
boolean isValidatingParser
false.
Can be set from servlet config file.
int parserDetailLevel
List<E> filenames
Map<K,V> loaded
| Class org.apache.struts.tiles.xmlDefinition.XmlDefinition extends ComponentDefinition implements Serializable |
|---|
| Serialized Fields |
|---|
String inherit
boolean isVisited
| Package org.apache.struts.util |
|---|
| Class org.apache.struts.util.ImageButtonBean extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String x
String y
| Class org.apache.struts.util.LabelValueBean extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String label
String value
| Class org.apache.struts.util.MessageResources extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
String config
Locale defaultLocale
MessageResourcesFactory factory
MessageResourcesFactory that created this instance.
HashMap<K,V> formats
messageKey().
boolean returnNull
null is returned instead of an error message
string when an unknown Locale or key is requested.
boolean escape
| Class org.apache.struts.util.MessageResourcesFactory extends Object implements Serializable |
|---|
| Serialized Fields |
|---|
MessageResourcesConfig config
boolean returnNull
| Class org.apache.struts.util.ModuleException extends Exception implements Serializable |
|---|
| Serialized Fields |
|---|
String property
ActionMessage message
| Class org.apache.struts.util.PropertyMessageResources extends MessageResources implements Serializable |
|---|
| Serialized Fields |
|---|
HashMap<K,V> locales
localeKey().
HashMap<K,V> messages
messageKey().
int mode
| Class org.apache.struts.util.PropertyMessageResourcesFactory extends MessageResourcesFactory implements Serializable |
|---|
| Package org.apache.struts.validator |
|---|
| Class org.apache.struts.validator.BeanValidatorForm extends ValidatorForm implements Serializable |
|---|
| Serialized Fields |
|---|
DynaBean dynaBean
DynaBean that this ActionForm is backed by.
boolean pathValidation
String strutsConfigFormName
| Class org.apache.struts.validator.DynaValidatorActionForm extends DynaValidatorForm implements Serializable |
|---|
| Class org.apache.struts.validator.DynaValidatorForm extends DynaActionForm implements Serializable |
|---|
| Serialized Fields |
|---|
ValidatorResults validatorResults
Validator.
int page
| Class org.apache.struts.validator.FieldChecks extends Object implements Serializable |
|---|
| Class org.apache.struts.validator.LazyValidatorForm extends BeanValidatorForm implements Serializable |
|---|
| Class org.apache.struts.validator.ValidatorActionForm extends ValidatorForm implements Serializable |
|---|
| Class org.apache.struts.validator.ValidatorForm extends ActionForm implements Serializable |
|---|
| Serialized Fields |
|---|
ValidatorResults validatorResults
Validator.
int page
| Package org.apache.strutsel.taglib.bean |
|---|
| Class org.apache.strutsel.taglib.bean.ELIncludeTag extends IncludeTag implements Serializable |
|---|
| Serialized Fields |
|---|
String anchorExpr
String forwardExpr
String hrefExpr
String idExpr
String pageExpr
String transactionExpr
| Class org.apache.strutsel.taglib.bean.ELMessageTag extends MessageTag implements Serializable |
|---|
| Serialized Fields |
|---|
String arg0Expr
String arg1Expr
String arg2Expr
String arg3Expr
String arg4Expr
String bundleExpr
String keyExpr
String localeExpr
String nameExpr
String propertyExpr
String scopeExpr
| Class org.apache.strutsel.taglib.bean.ELPageTag extends PageTag implements Serializable |
|---|
| Serialized Fields |
|---|
String idExpr
String propertyExpr
| Class org.apache.strutsel.taglib.bean.ELResourceTag extends ResourceTag implements Serializable |
|---|
| Serialized Fields |
|---|
String idExpr
String inputExpr
String nameExpr
| Class org.apache.strutsel.taglib.bean.ELSizeTag extends SizeTag implements Serializable |
|---|
| Serialized Fields |
|---|
String collectionExpr
String idExpr
String nameExpr
String propertyExpr
String scopeExpr
| Class org.apache.strutsel.taglib.bean.ELStrutsTag extends StrutsTag implements Serializable |
|---|
| Serialized Fields |
|---|
String idExpr
String formBeanExpr
String forwardExpr
String mappingExpr
| Package org.apache.strutsel.taglib.html |
|---|
| Class org.apache.strutsel.taglib.html.ELBaseTag extends BaseTag implements Serializable |
|---|
| Serialized Fields |
|---|
String targetExpr
String serverExpr
String refExpr
| Class org.apache.strutsel.taglib.html.ELButtonTag extends ButtonTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accessKeyExpr
String altExpr
String altKeyExpr
String bundleExpr
String dirExpr
String disabledExpr
String indexedExpr
String langExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String propertyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String titleExpr
String titleKeyExpr
String valueExpr
| Class org.apache.strutsel.taglib.html.ELCancelTag extends CancelTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accesskeyExpr
String altExpr
String altKeyExpr
String bundleExpr
String dirExpr
String disabledExpr
String langExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String propertyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String titleExpr
String titleKeyExpr
String valueExpr
| Class org.apache.strutsel.taglib.html.ELCheckboxTag extends CheckboxTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accesskeyExpr
String altExpr
String altKeyExpr
String bundleExpr
String dirExpr
String disabledExpr
String errorKeyExpr
String errorStyleExpr
String errorStyleClassExpr
String errorStyleIdExpr
String indexedExpr
String langExpr
String nameExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String propertyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String titleExpr
String titleKeyExpr
String valueExpr
| Class org.apache.strutsel.taglib.html.ELErrorsTag extends ErrorsTag implements Serializable |
|---|
| Serialized Fields |
|---|
String bundleExpr
String footerExpr
String headerExpr
String localeExpr
String nameExpr
String prefixExpr
String propertyExpr
String suffixExpr
| Class org.apache.strutsel.taglib.html.ELFileTag extends FileTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accesskeyExpr
String acceptExpr
String altExpr
String altKeyExpr
String bundleExpr
String dirExpr
String disabledExpr
String errorKeyExpr
String errorStyleExpr
String errorStyleClassExpr
String errorStyleIdExpr
String indexedExpr
String langExpr
String maxlengthExpr
String nameExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String propertyExpr
String sizeExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String titleExpr
String titleKeyExpr
String valueExpr
| Class org.apache.strutsel.taglib.html.ELFormTag extends FormTag implements Serializable |
|---|
| Serialized Fields |
|---|
String actionExpr
String dirExpr
String disabledExpr
String enctypeExpr
String focusExpr
String focusIndexExpr
String langExpr
String methodExpr
String onresetExpr
String onsubmitExpr
String readonlyExpr
String scriptLanguageExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String targetExpr
String acceptCharsetExpr
| Class org.apache.strutsel.taglib.html.ELFrameTag extends FrameTag implements Serializable |
|---|
| Serialized Fields |
|---|
String actionExpr
String moduleExpr
String anchorExpr
String bundleExpr
String forwardExpr
String frameborderExpr
String frameNameExpr
String hrefExpr
String longdescExpr
String marginheightExpr
String marginwidthExpr
String nameExpr
String noresizeExpr
String pageExpr
String paramIdExpr
String paramNameExpr
String paramPropertyExpr
String paramScopeExpr
String propertyExpr
String scopeExpr
String scrollingExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String titleExpr
String titleKeyExpr
String transactionExpr
| Class org.apache.strutsel.taglib.html.ELHiddenTag extends HiddenTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accesskeyExpr
String altExpr
String altKeyExpr
String bundleExpr
String dirExpr
String disabledExpr
String indexedExpr
String langExpr
String nameExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String propertyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String titleExpr
String titleKeyExpr
String valueExpr
String writeExpr
| Class org.apache.strutsel.taglib.html.ELHtmlTag extends HtmlTag implements Serializable |
|---|
| Serialized Fields |
|---|
String langExpr
String xhtmlExpr
| Class org.apache.strutsel.taglib.html.ELImageTag extends ImageTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accessKeyExpr
String alignExpr
String altExpr
String altKeyExpr
String borderExpr
String bundleExpr
String dirExpr
String disabledExpr
String indexedExpr
String langExpr
String localeExpr
String moduleExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String pageExpr
String pageKeyExpr
String propertyExpr
String srcExpr
String srcKeyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String titleExpr
String titleKeyExpr
String valueExpr
| Class org.apache.strutsel.taglib.html.ELImgTag extends ImgTag implements Serializable |
|---|
| Serialized Fields |
|---|
String actionExpr
String moduleExpr
String alignExpr
String altExpr
String altKeyExpr
String borderExpr
String bundleExpr
String dirExpr
String heightExpr
String hspaceExpr
String imageNameExpr
String ismapExpr
String langExpr
String localeExpr
String nameExpr
String onclickExpr
String ondblclickExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String paramIdExpr
String pageExpr
String pageKeyExpr
String paramNameExpr
String paramPropertyExpr
String paramScopeExpr
String propertyExpr
String scopeExpr
String srcExpr
String srcKeyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String titleExpr
String titleKeyExpr
String useLocalEncodingExpr
String usemapExpr
String vspaceExpr
String widthExpr
| Class org.apache.strutsel.taglib.html.ELJavascriptValidatorTag extends JavascriptValidatorTag implements Serializable |
|---|
| Serialized Fields |
|---|
String cdataExpr
String dynamicJavascriptExpr
String formNameExpr
String methodExpr
String pageExpr
String scriptLanguageExpr
String srcExpr
String staticJavascriptExpr
String htmlCommentExpr
String bundleExpr
| Class org.apache.strutsel.taglib.html.ELLinkTag extends LinkTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accessKeyExpr
String actionExpr
String moduleExpr
String anchorExpr
String bundleExpr
String dirExpr
String forwardExpr
String hrefExpr
String indexedExpr
String indexIdExpr
String langExpr
String linkNameExpr
String nameExpr
String onblurExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String pageExpr
String paramIdExpr
String paramNameExpr
String paramPropertyExpr
String paramScopeExpr
String propertyExpr
String scopeExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String targetExpr
String titleExpr
String titleKeyExpr
String transactionExpr
String useLocalEncodingExpr
| Class org.apache.strutsel.taglib.html.ELMessagesTag extends MessagesTag implements Serializable |
|---|
| Serialized Fields |
|---|
String idExpr
String bundleExpr
String localeExpr
String nameExpr
String propertyExpr
String headerExpr
String footerExpr
String messageExpr
| Class org.apache.strutsel.taglib.html.ELMultiboxTag extends MultiboxTag implements Serializable |
|---|
| Serialized Fields |
|---|
String accessKeyExpr
String altExpr
String altKeyExpr
String bundleExpr
String disabledExpr
String errorKeyExpr
String errorStyleExpr
String errorStyleClassExpr
String errorStyleIdExpr
String nameExpr
String onblurExpr
String onchangeExpr
String onclickExpr
String ondblclickExpr
String onfocusExpr
String onkeydownExpr
String onkeypressExpr
String onkeyupExpr
String onmousedownExpr
String onmousemoveExpr
String onmouseoutExpr
String onmouseoverExpr
String onmouseupExpr
String propertyExpr
String styleExpr
String styleClassExpr
String styleIdExpr
String tabindexExpr
String titleExpr
String titleKeyExpr
String valueExpr
| Class org. |
|---|